> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Harness連携を取得

> 会社のHarness Code SCM連携を取得します。`integrations.view_integration`権限が必要です。



## OpenAPI

````yaml /ja/api-reference/openapi.json get /integrations/harness/{integration_uuid}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /integrations/harness/{integration_uuid}:
    parameters:
      - name: integration_uuid
        in: path
        required: true
        description: Harness連携のUUID
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Harness連携
      summary: Harness連携を取得
      description: 会社のHarness Code SCM連携を取得します。`integrations.view_integration`権限が必要です。
      operationId: getHarnessIntegration
      responses:
        '200':
          description: Harness連携を正常に取得しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HarnessIntegrationResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: APIアクセス権または必要な権限がありません
        '404':
          description: 連携が見つかりません
components:
  schemas:
    HarnessIntegrationResponse:
      type: object
      required:
        - status
        - integration
      properties:
        status:
          type: string
          enum:
            - ok
        integration:
          $ref: '#/components/schemas/HarnessIntegration'
    HarnessIntegration:
      type: object
      description: Harness Code SCM連携。認証情報の値が返されることはありません。
      required:
        - id
        - uuid
        - type
        - name
        - account_id
        - account_name
        - org_allowlist
        - base_url
        - gateway_prefix
        - expired
      properties:
        id:
          type: integer
        uuid:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - harness
        name:
          type: string
        account_id:
          type: string
          description: トークンから取得したHarnessアカウントID。
        account_name:
          type: string
        org_allowlist:
          type: array
          description: この連携で利用できるHarness組織の識別子。空の一覧を指定すると、トークンでアクセス可能なすべての組織が許可されます。
          items:
            type: string
        base_url:
          type: string
          format: uri
        gateway_prefix:
          type: string
        expired:
          type: boolean
        created_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          type: string
          format: date-time
          nullable: true
  responses:
    Unauthorized:
      description: トークンが無効か、指定されていません
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Missing or invalid authorization header
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````